@import url(http://fonts.googleapis.com/css?family=Open+Sans);

body { 
  font: 150% 'Open Sans', sans-serif;
  color: #666;
}

/* STRUCTURE */

#pagewrap {
	padding: 5px;
	width: 960px;
	margin: 20px auto;
}
header {
	height: 120px;
	padding: 0 15px;
}

#middle {
	width: 721px; /* Account for margins + border values */
	float: left;
	padding: 5px 15px;
	margin: 0px 5px 5px 0;
}

#right {
	width: 200px;
	padding: 5px 0px;
	float: left;
}
footer {
	clear: both;
	padding: 10px 15px 0 15px;
}

/************************************************************************************
MEDIA QUERIES
*************************************************************************************/
/* for 980px or less */
@media screen and (max-width: 980px) {
	
	#pagewrap {
		width: 94%;
	}

	#middle {
		width: 60.5%;
		padding: 1% 4%;
		margin: 0px 5px 5px 0;
		float: left;
	}
	
	#right {
		padding: 1% 4%;
		width: auto;
		float: left;
	}

	header, footer {
		padding: 1% 4%;
	}
}

/* for 700px or less */
@media screen and (max-width: 600px) {

	#middle {
		width: 60.5%;
		float: left;
		margin-left: 0px;
	}
	
	#right {
		width: auto;
		float: left;
	}

}

/* for 480px or less */
@media screen and (max-width: 480px) {

	header {
		height: auto;
	}
	h1 {
		font-size: 2em;
	}
	#right {
		/* display: none; */
	}

}

#right {
	background: #f0efef;
}
header, #left, #middle, #right {
	margin-bottom: 5px;
}

#pagewrap, header, #left, #middle, #right, footer {
	border: solid 1px #ccc;
}

/* Warning styles */
.warning {
	font-size: .6em;
	color: red;
	text-align: left;
}

#warning {
	width: 100%;
	font-size: .6em;
	color: red;
	text-align: left;
	padding: 20px 5px;
}

/* note styles */
.note {
	font: italic small-caps normal 13px/150% 'Open Sans', sans-serif;
	text-align: left;
}

h3 {
	font: italic small-caps normal 12px/120% 'Open Sans', sans-serif;
	text-align: left;
}


/* Operators page */
.operatorList {
	float: left;
    /* border: 1px solid black; */
    min-height: 750px;
    color: black;
	width: 95%;
    background-color: #fff;
	margin: 5px 0 5px 14px;
	text-align: left;
	font-size: 1em;
	padding: 5px 10px;
	line-height: 28px;
}

.operatorLeft {
	float: left;
    border: 1px solid black;
    min-height: 255px;
    color: black;
    width: 99%;
    background-color: #fff;
	margin: 5px 0 5px 5px;
	text-align: center;
	font-size: 1em;
}

/* Pagination */
.pagination {
    list-style:none;
    margin:0;
    padding: 0;
    text-align:center;
}

.pagination li {
    display:inline;
	padding: 13px;
}

.pagination li a.current-link {
    font-weight: bold;
    text-decoration: none;
    color: #000000;
	display:inline-block;
}

.live-link a { font: italic small-caps normal 1.0em/150% 'Open Sans', sans-serif;}
.live-link a:link {color: #F79E39; text-decoration: none; }
.live-link a:visited {color: #F79E39; text-decoration: none; }
.live-link a:hover {color: blue; text-decoration: underline; }

.ellipses {color: #F79E39; }
.dead-link {color: #F79E39; }	

/* Code display */
.code{
	width:94%;
	/*min-height: 100px;*/
	margin-left: auto;
	margin-right: auto;
	margin-bottom: 5px;
	border:2px solid #000;
	padding: 7px 5px 0 5px;
	text-align: left;
	background:#fff ;
	font-size: 0.9em;
}

/* Imagemagick links */
.caption:link {
	font-size:1.42em;
	font-weight:700;
	display:inline-block;
	margin:1em 0 0 0; 
    background-color: #eee;
	width:88%;
	color: #F79E39;
}

/* For links on the Imagemagick page */
#jcontent{text-align: left;}
#jcontent > div {display: none;}
#jcontent > div:target {display: block; margin:0 4em; padding:0 1em 1em; line-height:2.0em;}
#jcontent > div:target h2 {display: none;}
#src_code {width:88%; margin:2em auto; padding:1em; background-color:#eee; text-align: left;} 

/* Privicy page */
#privicy {
	text-align: left;
}

/* Example and display pages */
.example_thumbnail{
	width: 60%;
	border: 1px solid #999;
	margin-left: auto;
	margin-right: auto;
	padding:10px;
 }

/* Websites page */
.float_image_left{
	width: 25%;
	float:left;
	margin:22px 0 10px 50px;
	border: black 1px solid;
}

textarea, input {
	font: 100% 'Open Sans', sans-serif;
	color: #666;
	}

.left {
	text-align: left;
}

/* Modify colours page */
.floatLeft{
	width: 47%;
	float: left;
	margin: 5px;
}